set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

spool implicittypeconversion.log

-- table with number column

drop table ntest;

create table ntest (div_nbr number(4));

-- table with character column

drop table ctest;

create table ctest (div_nbr varchar2(4));

-- join on the column

select count(*)
from ntest,ctest
where ntest.div_nbr=ctest.div_nbr;

-- get plan

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

spool off
